Returns a list of all conversations matching the search criteria along with the sort and filter options selected.
Returns a list of all conversations matching the search criteria along with the sort and filter options selected.
http
GET https://services.leadconnectorhq.com/conversations/search
Authorization
Name
Type
Required
Example
Description
Authorization
string
Yes
Bearer token generated from the Leadway portal. See Authentication.
Version
string
Yes
2021-07-28
API version.
Query parameters
Name
Type
Required
Example
Description
locationId
string
Yes
ABCHkzuJQ8ZMd4Te84GK
Account Id
contactId
string
No
9VEmS0si86GW6gXWU89b
Contact Id
assignedTo
string
No
ABCHkzuJQ8ZMd4Te84GK,fGiae4CHkzoskh8thsik
User IDs that conversations are assigned to. Multiple IDs can be provided as comma-separated values. Use "unassigned" to fetch conversations not assigned to any user.
followers
string
No
ABCHkzuJQ8ZMd4Te84GK,fGiae4CHkzoskh8thsik
User IDs of followers to filter conversations by. Multiple IDs can be provided as comma-separated values.
mentions
string
No
ABCHkzuJQ8ZMd4Te84GK,fGiae4CHkzoskh8thsik
User Id of the mention. Multiple values are comma separated.
query
string
No
Search string
Search paramater as a string
sort
string
No
asc
Sort paramater - asc or desc
startAfterDate
any
No
1600854
Search to begin after the specified date - should contain the sort value of the last document
id
string
No
ABCHkzuJQ8ZMd4Te84GK
Id of the conversation
limit
number
No
20
Limit of conversations - Default is 20
lastMessageType
string
No
TYPE_SMS
Type of the last message in the conversation as a string
lastMessageAction
string
No
manual
Action of the last outbound message in the conversation as string.
lastMessageDirection
string
No
inbound
Direction of the last message in the conversation as string.
status
string
No
all
The status of the conversation to be filtered - all, read, unread, starred
sortBy
string
No
last_message_date
The sorting of the conversation to be filtered as - manual messages or all messages
sortScoreProfile
string
No
ABCHkzuJQ8ZMd4Te84GK
Id of score profile on which sortBy.ScoreProfile should sort on
scoreProfile
string
No
ABCHkzuJQ8ZMd4Te84GK
Id of score profile on which conversations should get filtered out, works with scoreProfileMin & scoreProfileMax
scoreProfileMin
number
No
ABCHkzuJQ8ZMd4Te84GK
Minimum value for score
scoreProfileMax
number
No
ABCHkzuJQ8ZMd4Te84GK
Maximum value for score
startDate
number
No
1640995200000
Start date filter for dateAdded field (Unix timestamp in milliseconds)
endDate
number
No
1672531199000
End date filter for dateAdded field (Unix timestamp in milliseconds)
Responses
200 - Successfully fetched the conversations
conversations (object[], required): The list of all conversations found for the given query
id (string, required): Conversation Id Example: ABCHkzuJQ8ZMd4Te84GK
contactId (string, required): Contact Id Example: ABCHkzuJQ8ZMd4Te84GK
locationId (string, required): Account Id Example: ABCHkzuJQ8ZMd4Te84GK
lastMessageBody (string, required): Content of the most recent message in the conversation Example: This is a sample message body
type (string, required): Primary channel/type of the conversation (Phone, Email, etc) Possible values: 'TYPE_PHONE', 'TYPE_EMAIL', 'TYPE_FB_MESSENGER', 'TYPE_REVIEW', 'TYPE_GROUP_SMS' Example: TYPE_PHONE
unreadCount (number, required): Number of unread messages in this conversation Example: 1
fullName (string, required): Complete name of the contact (first and last name) Example: John Doe
contactName (string, required): Alternative display name for the contact - used when full name is not available Example: John Doe Company
email (string, required): Primary email address of the contact Example: johndoe@mailingdomain.com
phone (string, required): Primary phone number of the contact Example: +15550001234
total (number, required): Total Number of results found for the given query Example: 100